- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QDecorationWindows Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qdecorationwindows_qws.h.

`#include <qdecorationwindows_qws.h>`

Inheritance diagram for QDecorationWindows:
[legend]

List of all members.

## Public Member Functions
| QDecorationWindows ()
virtual | ~QDecorationWindows ()
QRegion | region (const QWidget *widget, const QRect &rect, int decorationRegion=All)
bool | paint (QPainter *painter, const QWidget *widget, int decorationRegion=All, DecorationState state=Normal)
## Protected Member Functions
void | paintButton (QPainter *painter, const QWidget *widget, int buttonRegion, DecorationState state, const QPalette &pal)
const char ** | xpmForRegion (int reg)

## Constructor & Destructor Documentation

QDecorationWindows | ( |  | ) |

virtual ~QDecorationWindows | ( |  | ) | `[virtual]`

## Member Function Documentation

QRegion region | ( | const QWidget * | widget,
|  | const QRect & | rect,
|  | int | decorationRegion = `All`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QDecorationDefault.

bool paint | ( | QPainter * | painter,
|  | const QWidget * | widget,
|  | int | decorationRegion = `All`,
|  | DecorationState | state = `Normal`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QDecorationDefault.

void paintButton | ( | QPainter * | painter,
|  | const QWidget * | widget,
|  | int | buttonRegion,
|  | DecorationState | state,
|  | const QPalette & | pal
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDecorationDefault.

const char** xpmForRegion | ( | int | reg | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDecorationDefault.

The documentation for this class was generated from the following file:

- QtGui/qdecorationwindows_qws.h

QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows
QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows QDecorationWindows